From akpm@osdl.org Thu Apr 28 00:28:17 2005
Subject: [patch 10/20] acpi bridge hotadd: Read bridge resources when fixing up the bus
To: greg@kroah.com
Cc: akpm@osdl.org, rajesh.shah@intel.com
From: akpm@osdl.org
Date: Thu, 28 Apr 2005 00:25:51 -0700


From: Rajesh Shah <rajesh.shah@intel.com>

Read bridge io/mem/pfmem ranges when fixing up the bus so that bus resources
are tracked.  This is required to properly support pci end device and bridge
hotplug.

Signed-off-by: Rajesh Shah <rajesh.shah@intel.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>

---
 arch/ia64/pci/pci.c |    4 ++++
 1 files changed, 4 insertions(+)

--- gregkh-2.6.orig/arch/ia64/pci/pci.c	2005-06-23 08:32:43.000000000 -0700
+++ gregkh-2.6/arch/ia64/pci/pci.c	2005-06-23 08:32:50.000000000 -0700
@@ -418,6 +418,10 @@
 {
 	struct pci_dev *dev;
 
+	if (b->self) {
+		pci_read_bridge_bases(b);
+		pcibios_fixup_device_resources(b->self);
+	}
 	list_for_each_entry(dev, &b->devices, bus_list)
 		pcibios_fixup_device_resources(dev);
 
